<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';

const authStore = useAuthStore()

</script>

<template>
              <v-menu
          min-width="200px"
          rounded
        >
          <template v-slot:activator="{ props }">
            <v-btn
              icon
              v-bind="props"
            >
            <v-avatar>
              <v-img
                src="https://cdn.vuetifyjs.com/images/john.jpg"
                alt="John"
              ></v-img>
            </v-avatar>
            </v-btn>
            </template>
              <v-card>
                <v-card-text>
                  <div class="mx-auto text-center">
                    <v-avatar>
                      <v-img
                        src="https://cdn.vuetifyjs.com/images/john.jpg"
                        alt="John"
                      ></v-img>
                    </v-avatar>
                <h3>{{ authStore.currentUser?.fullname }}</h3>
                <p class="text-caption mt-1">
                  {{ authStore.currentUser?.email }}
                </p>
                <p class="text-caption mt-1"> {{ authStore.currentUser?.role }}</p>
                <v-divider class="my-3"></v-divider>
                <v-btn
                  rounded
                  variant="text"
                  @click="authStore.logout"
                >
                  Logout
                </v-btn>
              </div>
            </v-card-text>
          </v-card>
        </v-menu>
</template>